Draft Rectangle

From FreeCAD Documentation
Jump to: navigation, search
This page contains changes which are not marked for translation.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Rectangle.png Draft Rectangle

Menu location
Draft → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
0.7
See also
Draft Ellipse, Part Box


Description

The Rectangle tool creates a rectangle by picking two points. It uses the Draft Linestyle set on the Draft Tray.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Draft Rectangle example.jpg

How to use

  1. Press the Draft Rectangle.png Draft Rectangle button, or press R then E keys.
  2. Click a first corner point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click another point on the 3D view that is opposite the first one, or type a coordinate and press the Draft AddPoint.svg add point button.
The second point must not be constrained to the X, Y, or Z axes, or the resulting rectangle will be malformed.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Rectangle tool will restart after you give the second point, allowing you to draw another rectangle without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the rectangle will create a filled face (DATAMake Face True); if not, the rectangle will not make a face (DATAMake Face False).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DATALength: specifies the length of the shape in the X axis direction.
  • DATAHeight: specifies the height of the shape in the Y axis direction.
  • DATAChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DATAFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DATARows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DATAColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.
  • VIEWTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None) 
  • Creates a Rectangle object with length in the X direction and height in the Y direction, with units in millimeters.
    • The length will be parallel to the X axis if no other placement in given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)